Skip to main content
GET
/
api
/
integrations
/
s3
Get S3 Settings
curl --request GET \
  --url https://api.example.com/api/integrations/s3 \
  --header 'Authorization: Bearer <token>'
{
  "enabled": false,
  "url": "<string>",
  "bucket": "<string>",
  "region": "<string>",
  "prefix": "<string>",
  "endpoint_url": "<string>",
  "use_path_style": false,
  "kms_key_id": "<string>",
  "notify_on_complete": true,
  "notify_on_failure": true,
  "has_credentials": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Response

Successful Response

enabled
boolean
default:false
url
string | null
bucket
string | null
region
string | null
prefix
string | null
endpoint_url
string | null
use_path_style
boolean
default:false
kms_key_id
string | null
notify_on_complete
boolean
default:true
notify_on_failure
boolean
default:true
has_credentials
boolean
default:false